<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
</head>

<body>
	<script>
		// creando la variable
		let dato = null;

		// metiendo un dato por teclado a la variable
		// prompt("mensaje a mostrar",valor por defecto)

		dato = prompt("Introduce algo", "--");

		// mostrando la variable en una ventana
		alert(dato);
	</script>

</body>

</html>